
Core - Bug # 43708

Status: Closed Priority: Must have
Author: Jochen Weiland Category: TypoScript
Created: 2012-12-07 Assigned To:
Updated: 2014-02-05 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: leveluid with slide doesn't work across multiple levels
Description

We use the following TypoScript code to display a header image from a page up in the root path when there is no image on the
current page:

temp.headerimage = FILES
temp.headerimage {
  references {
    table = pages
    uid.data = leveluid:-2, slide
    fieldName = media
  }
  renderObj = COA
  renderObj {
    10 = IMAGE
    10 {
      file.import.data = file:current:publicUrl
    }
  }
}

This works only if the image is one level up from the current page, but not for 2 or more levels.

Related issues:
related to Core - Bug # 43691: Media Image Import is broken Closed 2012-12-06
related to Core - Bug # 55706: Different behavior of levelmedia in TYPO3 6.2 Resolved 2014-02-05

History
#1 - 2012-12-07 11:46 - Andreas Wolf
- Status changed from New to Needs Feedback

So it works if you use leveluid:-1?

#2 - 2012-12-07 12:55 - Jochen Weiland

It works if the following TypoScript code is used:
file.import.data = levelmedia: -1,slide
file.treatIdAsReference = 1

It's in the TSref 6.0 (which has not been released yet)

Ticket can be closed

#3 - 2012-12-13 15:53 - Tobias Liebig
- Status changed from Needs Feedback to Closed

#4 - 2013-09-02 12:43 - Ben Robinson

To get the current page's media and slide from it's parents you need:

uid.data = leveluid:-1, slide

.. not -2.

But the bug still (6.1.3) exists: "slide" does not work in this case...

temp.headerimage = FILES
temp.headerimage {
  references {
    table = pages
    uid.data = leveluid:-1, slide
    fieldName = media
  }
  renderObj = COA
  renderObj {
    10 = IMAGE
    10 {
      file.import.data = file:current:publicUrl
    }
  }
}

I would suggest to reopen this issue.

#5 - 2014-02-05 19:39 - Bjoern Jacob

@Ben: I think leveluid:-1 doesn't make any sense since it returns the page uid of the current page. IMHO there's always a uid and it will not slide
higher in the tree. levelmedia-1, slide should do it. In my case it returns a whole bunch of comma separated uids (file references). This also doesn't
make any sense. So I suggest levelmedia is not working in current TYPO3 6.2beta5.
